#
#	$Id: testConfigFile.py,v 1.2 2002/02/10 23:38:17 gilles Exp $
#
# All rights reserved. Written by Gilles Lenfant <glenfant@bigfoot.com>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. The name of the author may not be used to endorse or promote products
#    derived from this software without specific prior written permission
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

__doc__ = """ConfigFile main module

$Id: testConfigFile.py,v 1.2 2002/02/10 23:38:17 gilles Exp $"""

__version__ = "$Revision: 1.2 $"[11:-2]

import unittest

def fix_path():
    # Add Zope's lib/python directory to the Python path
    import os, sys
    file = os.path.join(os.getcwd(), sys.argv[0])
    dir = os.path.join('lib', 'python')
    i = file.find(dir)
    if i == -1:
        i = file.find('Products')
        lpp = file[:i] + dir
    else:
        lpp = file[:i+len(dir)]
    if lpp not in sys.path:
        sys.path.insert(0, lpp)
        sys.path.append(os.path.split(os.getcwd())[0])
    return

fix_path()

from ConfigFile import ConfigFile

class ZopeTestCase(unittest.TestCase):
    def setUp(self):
        # Get the Zope application object and store it in an
        # instance variable for use by test methods
        import Zope
        from Testing import makerequest
        self.app = makerequest.makerequest(Zope.app())
        return

    def tearDown(self):
        # Abort the transaction and shut down the Zope database
        # connection.
        get_transaction().abort()
        self.app._p_jar.close()
        return

class MyTest(ZopeTestCase.ZopeTestCase):
    def testNull(self):
        print self.app.objectIds()
        return


#######################
## Running all tests ##
#######################

def test_suite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(MyTest))
    return suite

def main():
    unittest.TextTestRunner().run(test_suite())

if __name__=="__main__":
    main()